Page MenuHomePhabricator

Vagrant won't provision Jessie anymore because current version is now 8.7
Closed, ResolvedPublic

Description

Jessie 8.7 was released on Jan 14th and hashicorp's debian/contrib-jessie64 has been updated as well.

Resulting in the following when provisioning from scratch on the jessie-migration branch:

MediaWiki-Vagrant requires a Debian 8.6 guest OS
Your guest OS reports:
    Distributor ID:	Debian
    Release:	8.7
    Codename:	jessie
Please rebuild using `vagrant destroy -f; vagrant up`
NOTE: this will cause you to lose any data saved in the VM.

Event Timeline

Gilles created this task.Jan 19 2017, 2:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2017, 2:36 PM
Gilles added a subscriber: bd808.Jan 19 2017, 2:37 PM
Gilles added a comment.EditedJan 19 2017, 3:03 PM

Bumping lsb.version in Vagrantfile isn't enough. I get this error during provisioning:

==> default: Error: Could not find command '/usr/bin/add-apt-repository'
==> default: Error: /Stage[main]/Git/Apt::Ppa[git-core/ppa]/Exec[/usr/bin/add-apt-repository --yes ppa:git-core/ppa && /bin/sed -i 's/jessie/xenial/g' /etc/apt/sources.list.d/git-core-ppa-jessie.list && /usr/bin/apt-get update]/returns: change from notrun to 0 failed: Could not find command '/usr/bin/add-apt-repository'

Then git can't get installed as a result, which snowballs from there.

/usr/bin/add-apt-repository is supposed to be part of that package:

https://packages.debian.org/jessie/software-properties-common

Which hasn't been updated since 2013?

bd808 added a comment.Jan 19 2017, 7:31 PM

Super fun! I think we might be able to just rely on the codename to handle the VM base OS check.

bd808 added a comment.Jan 19 2017, 7:52 PM

/usr/bin/add-apt-repository is supposed to be part of that package:
https://packages.debian.org/jessie/software-properties-common
Which hasn't been updated since 2013?

Maybe I messed up the dependencies there? I do remember adding the package for Debian that has the mostly Ubuntu add-apt-repository helper. We probably should kill off using ppa repos and instead import packages to the mw-vagrant specific apt repo. It will be a bit more work but cleaner in the long run.

bd808 added a subscriber: Reedy.Jan 23 2017, 4:55 PM

/usr/bin/add-apt-repository is supposed to be part of that package:
https://packages.debian.org/jessie/software-properties-common
Which hasn't been updated since 2013?

Maybe I messed up the dependencies there? I do remember adding the package for Debian that has the mostly Ubuntu add-apt-repository helper. We probably should kill off using ppa repos and instead import packages to the mw-vagrant specific apt repo. It will be a bit more work but cleaner in the long run.

This should be fixed now thanks to @Reedy and T155212: jessie not installing software-properties-common early enough

Change 333862 had a related patch set uploaded (by Gilles):
Bump expected Debian version to 8.7

https://gerrit.wikimedia.org/r/333862

bd808 moved this task from Backlog to In Progress on the MediaWiki-Vagrant board.Jan 25 2017, 11:19 PM

Change 333862 merged by jenkins-bot:
Loosen LSB version check

https://gerrit.wikimedia.org/r/333862

Change 334249 had a related patch set uploaded (by Gilles):
Loosen LSB version check

https://gerrit.wikimedia.org/r/334249

Change 334249 abandoned by Gilles:
Loosen LSB version check

https://gerrit.wikimedia.org/r/334249

Gilles closed this task as Resolved.Jan 27 2017, 6:25 AM
Gilles claimed this task.